/**
 * Similar to `fogExp()`. Computes exponential fog factor [0..1], based
 * on given fully saturated fog distance and density. Uses `exp2()`
 * internally.
 *
 * @param dist float
 * @param density float
 */
export declare const fogExp2: import("@thi.ng/shader-ast").TaggedFn2<"float", "float", "float">;
