/**
 * Converts 2D polar vector `v`, i.e. `[r,θ]` (angle in radians) to
 * cartesian coordinates. See `polar2()` for reverse operation.
 *
 * @param v
 */
export declare const cartesian2: (v: import("@thi.ng/shader-ast").Term<"vec2">) => import("@thi.ng/shader-ast").Op2<"vec2">;
/**
 * Converts 3D polar/spherical vector `v`, i.e. `[r,θ,ϕ]` (angles in
 * radians) to cartesian coordinates. See `polar3()` for reverse
 * operation.
 *
 * @param v
 */
export declare const cartesian3: import("@thi.ng/shader-ast").TaggedFn1<"vec3", "vec3">;
